Register For Event
curl --request POST \
--url https://api.thefaithapp.com/v1/events/{event}/register \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'X-API-Key: <x-api-key>' \
--data '
{
"registrant_name": "<string>",
"registrant_email": "<string>",
"phone": "<string>",
"guests": 123,
"notes": "<string>",
"member_id": 123
}
'import requests
url = "https://api.thefaithapp.com/v1/events/{event}/register"
payload = {
"registrant_name": "<string>",
"registrant_email": "<string>",
"phone": "<string>",
"guests": 123,
"notes": "<string>",
"member_id": 123
}
headers = {
"X-API-Key": "<x-api-key>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'X-API-Key': '<x-api-key>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
registrant_name: '<string>',
registrant_email: '<string>',
phone: '<string>',
guests: 123,
notes: '<string>',
member_id: 123
})
};
fetch('https://api.thefaithapp.com/v1/events/{event}/register', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": "<string>",
"message": "<string>",
"data": {},
"data.status": "<string>",
"data.registration_date": "<string>",
"data.checked_in": true
}Events
Register For Event
Create a built-in event registration for the authenticated member.
POST
/
v1
/
events
/
{event}
/
register
Register For Event
Creates a built-in event registration for the authenticated member.
This endpoint only works for events that use built-in registration.
Request body
{
"registrant_name": "Jane Doe",
"registrant_email": "jane@example.com",
"phone": "+256700000000",
"guests": 1,
"notes": "Looking forward to it",
"member_id": 1
}
Request inputs
Your client API key from the dashboard (Settings page).
Unique identifier of the event to register for.
Send registrant_name in the JSON body.
Send registrant_email in the JSON body.
Send phone in the JSON body.
Send guests in the JSON body.
Send notes in the JSON body.
Send member_id in the JSON body.
Response fields
Indicates whether the registration request completed successfully.
Human-readable confirmation of the registration outcome.
The stored event registration record returned after creation or update.
The registration state saved for the member, such as
registered.When the registration was recorded by the API.
Whether this registration has already been checked in on event day.
Example response
{
"status": "Success",
"message": "Registration successful",
"data": {
"id": 1,
"event_id": 131,
"member_id": 1,
"name": "Jane Doe",
"email": "jane@example.com",
"phone": "+256700000000",
"guests": 1,
"notes": "Looking forward to it",
"status": "registered",
"registration_date": "2026-05-27T17:57:14.000000Z",
"checked_in": false,
"check_in_time": null
}
}
Was this page helpful?
⌘I